Subject: Re: [PATCH] git-add--interactive.perl: Remove two unused variables

From: Thomas Badie <[email-masked]>
Date: Tue, 26 Jun 2012 00:41:56 +0200

On 25/06/2012 20:06, Junio C Hamano wrote:
> Thomas Badie <[email-masked]> writes:
> 
>> 2012/6/25 Junio C Hamano <[email-masked]>:
>>> "Thomas \"Enki\" Badie" <[email-masked]> writes:
>>>
>>>> The patch 8f0bef6 refactors this script and leaves the `$fh' variable
>>>> unused in `diff_applies' and `patch_update_file'.
>>>>
>>>> Signed-off-by: Thomas Badie <[email-masked]>
>>>> ---
>>>> Hello,
>>>> This is my first patch. It introduces a really minor change, and I
>>>> also want to be sure the way I submit it is the right way. Thanks :)
>>>
>>> The patch submission is almost perfect, except that:
>>>
>>> (1) the patch seems to be whitespace damaged; and
>>>
>>
>> The only damage I see is a space on the deleted lines which doesn't
>> exist in the patch. Is that you're talking about ?
>> I need to investigate why it appears...
> 
> A typical context line would begin with SP and typically then tab
> (because our code is indented with leading tabs) but your context
> lines all have two SPs in front and indented with more SPs.  This is
> a symptom of your MUA mangling your patch, and the reason can be seen
> in the "Content-Type: text/plain; charset=ISO-8859-1; format=flowed"
> header.
> 

I follow the first approach in the tutorial in
`git format-patch --help`, and I hope it works as expected :)

I wonder what is the next step, should I repost the previous patch with
the line "Acked-by: Thomas Rast <[email-masked]>" or it is okay
right now?

Thanks a lot for your help on this first patch,

-- 
Thomas "Enki" Badie